spot 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Types | Public Member Functions | Public Attributes | List of all members
hoayy::parser::by_type Struct Reference

Type access provider for token (enum) based symbols. More...

`#include <spot/parseaut/parseaut.hh>`

Collaboration diagram for hoayy::parser::by_type:

## Public Types
enum | { empty = 0 }
typedef token_type | kind_type
| The symbol type as needed by the constructor. More...

## Public Member Functions
| by_type ()
| Default constructor. More...
| by_type (const by_type &other)
| Copy constructor. More...
| by_type (kind_type t)
| Constructor from (external) token numbers. More...
void | move (by_type &that)
| Steal the symbol type from that. More...
symbol_number_type | type_get () const
token_type | token () const
| The token. More...

## Public Attributes
token_number_type | type

## Detailed Description

Type access provider for token (enum) based symbols.

## Member Typedef Documentation

typedef token_type hoayy::parser::by_type::kind_type

The symbol type as needed by the constructor.

## Constructor & Destructor Documentation

hoayy::parser::by_type::by_type | ( |  | ) |

Default constructor.

hoayy::parser::by_type::by_type | ( | const by_type & | other | ) |

Copy constructor.

hoayy::parser::by_type::by_type | ( | kind_type | t | ) |

Constructor from (external) token numbers.

## Member Function Documentation

void hoayy::parser::by_type::move | ( | by_type & | that | ) |

Steal the symbol type from that.

token_type hoayy::parser::by_type::token | ( |  | ) | const

The token.

symbol_number_type hoayy::parser::by_type::type_get | ( |  | ) | const

The (internal) type number (corresponding to type). -1 when this symbol is empty.

## Member Data Documentation

token_number_type hoayy::parser::by_type::type

The symbol type. -1 when this symbol is empty.

The documentation for this struct was generated from the following file:

- spot/parseaut/parseaut.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.